Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.util
Class CloseReportingConnectionWrapper

    java.lang.Object
      com.mchange.v2.sql.filter.FilterConnection
          com.mchange.v2.c3p0.util.CloseReportingConnectionWrapper

All Implemented Interfaces:
  java.sql.Connection

    public class CloseReportingConnectionWrapper

extends com.mchange.v2.sql.filter.FilterConnection

Field Summary

Fields inherited from class com.mchange.v2.sql.filter.FilterConnection
`inner`

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`CloseReportingConnectionWrapper(java.sql.Connection conn)`

Method Summary
`void` | `close()`

Methods inherited from class com.mchange.v2.sql.filter.FilterConnection
`clearWarnings, commit, createStatement, createStatement, createStatement, getAutoCommit, getCatalog, getHoldability, getInner, getMetaData, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setInner, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseReportingConnectionWrapper

    public CloseReportingConnectionWrapper(java.sql.Connection conn)

Method Detail

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Connection`
  Overrides:
    `close` in class `com.mchange.v2.sql.filter.FilterConnection`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD